Wilde Times

Arts and Literature Newsletter

Archive for January, 2013

One liners and an &.

without comments

 

Hello, loyal readers (All three of you are very special to me.), I’m writing with another SHOPP for WordPress problem and fix to pass along to your friends.  After applying the fix I wrote about in my last post, users may have noticed an array of error messages preceding almost everything in the store.  All you have to do is change two tiny things, and the problem will be remedied.

First open the error.php file referenced in the error.  Follow the trail.  Then find lines 135 and 148-156.  Inert a new line 156 and write this: return $error;

Then go to line 236 which reads as follows:

call_user_func_array($callback,$args);

Now add an ampersand, like so:

call_user_func_array($callback,&$args);

Boom.  Fixed.  Hope that helps; pass it along!

Written by Alex Kaulfuss

January 29th, 2013 at 3:31 pm

Posted in Tech Stuff

What the deuce!?! It’s all because of an “E”?

without comments

 

If you’re running the WordPress SHOPP plugin and are getting error messages about JPEG support, you need to read this.  If neither of those conditions apply to you, you don’t need to read this, but you can if you want to see how ridiculously smart I can be sometimes.

Seeing the FATAL ERROR message can be terrifying to anyone trying to manage a web-based business without a crew of geeks on hand.  Recently, I tried to access my online store (SHOPP plugin through WordPress); I saw this message:

Shopp requires JPEG support in the GD image library. Your web hosting environment does not currently have a version of GD installed that has JPEG support.

While investigating this issue, which neither my host nor Shopp provided information about, I came across a site where someone suggested running a simple phpinfo script to take a look around.  Once I did, I noticed something amazingly simple and profoundly damaging: a missing letter.

Line 349 of Shopp’s function.php reads as follows:

if (!$gd['JPG Support']) $errors[] = __(“Shopp requires JPEG support in the GD image library.

When I ran the php info script, I noticed that the people at my host had decided to call the support for this image type “JPEG Support”, while the people at Shopp were calling it “JPG Support”.  Simply adding that missing “E” to line 349 fixed everything.  The line should read like this:

if (!$gd['JPEG Support']) $errors[] = __(“Shopp requires JPEG support in the GD image library.

Hope this helps someone.

Written by Alex Kaulfuss

January 28th, 2013 at 5:11 pm

Posted in Tech Stuff

Imp Daddy on Amazon

without comments

 

Hello, all. My, it has been quite a while since the last update. I’m writing with two related bits of news:
1) I am temporarily suspending the availability of the print version of Imp Daddy’s First ABC Book in the website’s store because…
2) As of this morning, a digital version of the book (updated and edited) is available for download through Amazon. Check it out:

Imp Daddy’s First ABC Book

Peace, Alex

Written by Alex Kaulfuss

January 23rd, 2013 at 3:43 pm

Posted in News

If you don't see the WildeTimes menu to the left click here.